finley::AssembleParameters Struct Reference

`#include <Assemble.h>`

## Public Member Functions

| AssembleParameters (const NodeFile *nodes, const ElementFile *ef, escript::ASM_ptr sm, escript::Data &rhs, bool reducedOrder)

## Public Attributes

const ElementFile * | elements
| element file these parameters apply to More...
escript::ASM_ptr | S
| system matrix to be updated More...
escript::Data & | F
| right-hand side to be updated More...
int | numQuadTotal
| total number of quadrature nodes = numQuadSub * numQuadSub More...
int | numQuadSub
| number of quadrature nodes per subelements More...
int | numSides
| number of sides More...
int | numSub
| number of sub-elements More...
int | numDim
| number of spatial dimensions More...
int | NN
| leading dimension of element node table More...
dim_t | numElements
| number of elements More...
int | numEqu
const index_t * | row_DOF
index_t | row_DOF_UpperBound
ElementFile_Jacobians * | row_jac
const int * | row_node
int | row_numShapesTotal
int | row_numShapes
int | numComp
const index_t * | col_DOF
index_t | col_DOF_UpperBound
ElementFile_Jacobians * | col_jac
const int * | col_node
int | col_numShapesTotal
int | col_numShapes

## Constructor & Destructor Documentation

## AssembleParameters()

finley::AssembleParameters::AssembleParameters | ( | const NodeFile * | nodes,
|  | const ElementFile * | ef,
|  | escript::ASM_ptr | sm,
|  | escript::Data & | rhs,
|  | bool | reducedOrder
| ) |  |

References escript::Data::actsExpanded(), finley::ElementFile_Jacobians::BasisFunctions, finley::ElementFile::borrowJacobians(), finley::NodeFile::borrowTargetDegreesOfFreedom(), finley::NodeFile::borrowTargetReducedDegreesOfFreedom(), paso::SystemMatrix::col_block_size, paso::SystemMatrix::col_distribution, col_DOF, col_DOF_UpperBound, col_jac, col_node, col_numShapes, col_numShapesTotal, elements, escript::Data::getDataPointSize(), finley::NodeFile::getNumDegreesOfFreedom(), finley::NodeFile::getNumReducedDegreesOfFreedom(), escript::Data::isEmpty(), paso::SystemMatrix::logical_row_block_size, NN, finley::ElementFile_Jacobians::node_selection, numComp, finley::ElementFile_Jacobians::numDim, numDim, finley::ElementFile_Jacobians::numElements, numElements, finley::ElementFile::numElements, numEqu, finley::ElementFile::numNodes, numQuadSub, finley::ElementFile_Jacobians::numQuadTotal, numQuadTotal, escript::Data::numSamplesEqual(), finley::ElementFile_Jacobians::numShapesTotal, finley::ElementFile_Jacobians::numSides, numSides, finley::ElementFile_Jacobians::numSub, numSub, paso::SystemMatrix::row_block_size, paso::SystemMatrix::row_distribution, row_DOF, row_DOF_UpperBound, row_jac, row_node, row_numShapes, and row_numShapesTotal.

## Member Data Documentation

## col_DOF

const index_t* finley::AssembleParameters::col_DOF

Referenced by AssembleParameters().

## col_DOF_UpperBound

index_t finley::AssembleParameters::col_DOF_UpperBound

Referenced by AssembleParameters().

## col_jac

ElementFile_Jacobians* finley::AssembleParameters::col_jac

Referenced by AssembleParameters().

## col_node

const int* finley::AssembleParameters::col_node

Referenced by AssembleParameters().

## col_numShapes

int finley::AssembleParameters::col_numShapes

Referenced by AssembleParameters().

## col_numShapesTotal

int finley::AssembleParameters::col_numShapesTotal

Referenced by AssembleParameters().

## elements

const ElementFile* finley::AssembleParameters::elements

element file these parameters apply to

Referenced by AssembleParameters().

## F

escript::Data& finley::AssembleParameters::F

right-hand side to be updated

## NN

int finley::AssembleParameters::NN

leading dimension of element node table

Referenced by AssembleParameters().

## numComp

int finley::AssembleParameters::numComp

Referenced by AssembleParameters().

## numDim

int finley::AssembleParameters::numDim

number of spatial dimensions

Referenced by AssembleParameters().

## numElements

dim_t finley::AssembleParameters::numElements

number of elements

Referenced by AssembleParameters().

## numEqu

int finley::AssembleParameters::numEqu

Referenced by AssembleParameters().

## numQuadSub

int finley::AssembleParameters::numQuadSub

number of quadrature nodes per subelements

Referenced by AssembleParameters().

## numQuadTotal

int finley::AssembleParameters::numQuadTotal

total number of quadrature nodes = numQuadSub * numQuadSub

Referenced by AssembleParameters().

## numSides

int finley::AssembleParameters::numSides

number of sides

Referenced by AssembleParameters().

## numSub

int finley::AssembleParameters::numSub

number of sub-elements

Referenced by AssembleParameters().

## row_DOF

const index_t* finley::AssembleParameters::row_DOF

Referenced by AssembleParameters().

## row_DOF_UpperBound

index_t finley::AssembleParameters::row_DOF_UpperBound

Referenced by AssembleParameters().

## row_jac

ElementFile_Jacobians* finley::AssembleParameters::row_jac

Referenced by AssembleParameters().

## row_node

const int* finley::AssembleParameters::row_node

Referenced by AssembleParameters().

## row_numShapes

int finley::AssembleParameters::row_numShapes

Referenced by AssembleParameters().

## row_numShapesTotal

int finley::AssembleParameters::row_numShapesTotal

Referenced by AssembleParameters().

## S

escript::ASM_ptr finley::AssembleParameters::S

system matrix to be updated

The documentation for this struct was generated from the following files:

- finley/src/Assemble.h
- finley/src/Assemble_getAssembleParameters.cpp